Bug 111723 - Could not mount cdrom /dev/cdrom is not a valid block device
Summary: Could not mount cdrom /dev/cdrom is not a valid block device
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 1
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-12-09 11:40 UTC by David Farning
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-19 15:32:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Farning 2003-12-09 11:40:33 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5)
Gecko/20031110 Firebird/0.7

Description of problem:
When attempting to mount a cdrom under kernel 2.6.0-11test the
following error is return:

/dev/cdrom is not a valid block device

The drive worked with all tested 2.4 kernels.

In dmesg the drive is found and id'ed correctly 
hdd: Hewlett-Packard CD-Writer Plus 9100, ATAPI CD/DVD-ROM drive

grub is correctly set by 2.4kernel standards

title Fedora Core (2.6.0-0.test11.1.99)
	root (hd0,1)
	kernel /vmlinuz-2.6.0-0.test11.1.99 ro root=LABEL=/ hdd=ide-scsi
	initrd /initrd-2.6.0-0.test11.1.99.img

(word wrap in bugzilla is throwing off grup.config apperance)

Version-Release number of selected component (if applicable):
kernel-2.6.0-test11

How reproducible:
Always

Steps to Reproduce:
1.boot to kernel 2.6.0-test11
2.mount /dev/cdrom /mnt/cdrom
3.
    

Actual Results:  /dev/cdrom is not a valid block device

Expected Results:  cdrom mount on /mnt/cdrom

Additional info:

using latest release of -test11 kernel

Comment 1 Arjan van de Ven 2003-12-09 11:41:56 UTC
for 2.6 you need to drop the "ide-scsi" part (and maybe fix up the
/dev/cdrom symlink)

Comment 2 David Farning 2003-12-10 09:12:05 UTC
Removing the ide=scsi fixed the problem--thanks
 

Comment 3 Pascal Hurni 2004-01-25 23:53:33 UTC
hi

i have the same problem! how do i remove the ide=scsi and where ?

thanx a lot

Comment 4 P Fudd 2004-02-06 19:38:59 UTC
See /boot/grub/grub.conf, the first paragraph that starts with
'title', and the line in that paragraph that starts with 'kernel'. 
Near the end of the line, you should see 'ide=scsi'.  Delete that,
save, and reboot.

Comment 5 Sahil Verma 2004-03-19 02:09:51 UTC
This bug can be closed.


Note You need to log in before you can comment on or make changes to this bug.